/**
 * Program to create a recursive graphics which looks like broccoli.
 * Written 11/4/99 by Kim Bruce
 * Modified 3/12/02 by Andrea Danyluk
 * 
 * Updated by Jim Teresco for CSC 252, The College of Saint Rose, Fall 2013
 * 
 * $Id: BroccoliBetter.java 2244 2013-11-06 04:54:22Z terescoj $
 */

import objectdraw.*;
import java.awt.*;

public class BroccoliBetter extends WindowController {

    private Location lastCoords;  // Where mouse was before last move
    private BroccoliBranch plant; // Broccoli object to be drawn & moved
    private boolean broccoliPressed; // whether the brocolli has been pressed

    /*
     * Create the broccoli
     */
    public void begin() {
        plant = new BroccoliBranch(new Location(200,350), 80.0,
            Math.PI/2.0, canvas);
    }

    // Get ready to move broccoli
    public void onMousePress(Location pt) {

        lastCoords = pt;
        broccoliPressed = plant.contains(pt);
    }

    // Drag the broccoli around
    public void onMouseDrag(Location pt) {

        if (broccoliPressed) {
            plant.move(pt.getX()-lastCoords.getX(), pt.getY()-lastCoords.getY());
            lastCoords = pt;
        }
    }

}